Opened 4 years ago

Closed 4 years ago

#791 closed Bug / Defect (fixed)

"Ignoring SIGUSR1" log message flood

Reported by: petrerodan Owned by:
Priority: major Milestone:
Component: Generic / unclassified Version: OpenVPN 2.3.9 (Community Ed)
Severity: Patch Queue: Merged Keywords:
Cc:

Description

I am doing automated testing of openvpn servers. for this I have openvpn client processes that are run under a controlled environment.
when an error like 'TLS Error: TLS key negotiation failed' is detected in the openvpn client's stdout my script sends a SIGTERM to the process, waits a few seconds and then sends a SIGKILL if the process is still present.

the problem is that the process floods stdout with a lot of "Ignoring SIGUSR1 received during exit notification" messages that end up filling filesystems in just a few seconds time.

basically with just 2 SIGTERM signals received during 9 seconds the openvpn process ends up logging 125MB of garbage with verb=3.

this happens with OpenVPN ver. 2.3.12 and a 4.8.10 kernel:

bucharest-at01 tmp # grep -c 'Ignoring SIGUSR1' openvpn_20161214203536.log
1642099
bucharest-at01 tmp # stat openvpn_20161214203536.log
File: 'openvpn_20161214203536.log'
Size: 124800386 Blocks: 243760 IO Block: 4096 regular file
Device: fe02h/65026d Inode: 30823 Links: 1
Access: (0600/-rw-------) Uid: ( 0/ root) Gid: ( 0/ root)
Access: 2016-12-14 20:35:36.323271405 +0000
Modify: 2016-12-14 20:36:45.234740589 +0000
Change: 2016-12-14 20:36:45.234740589 +0000

bucharest-at01 tmp # head -n20 openvpn_20161214203536.log
Wed Dec 14 20:35:36 2016 OpenVPN 2.3.12 x86_64-pc-linux-gnu [SSL (OpenSSL)] [LZO] [EPOLL] [MH] [IPv6] built on Sep 29 2016
Wed Dec 14 20:35:36 2016 library versions: OpenSSL 1.0.2j 26 Sep 2016, LZO 2.08
Wed Dec 14 20:35:36 2016 Socket Buffers: R=[212992->212992] S=[212992->212992]
Wed Dec 14 20:35:36 2016 UDPv4 link local: [undef]
Wed Dec 14 20:35:36 2016 UDPv4 link remote: [AF_INET]CENSORED:443
Wed Dec 14 20:36:36 2016 [UNDEF] Inactivity timeout (--ping-exit), exiting
Wed Dec 14 20:36:36 2016 SIGTERM received, sending exit notification to peer
Wed Dec 14 20:36:36 2016 TLS Error: TLS key negotiation failed to occur within 60 seconds (check your network connectivity)
Wed Dec 14 20:36:36 2016 TLS Error: TLS handshake failed
Wed Dec 14 20:36:36 2016 Ignoring SIGUSR1 received during exit notification
Wed Dec 14 20:36:36 2016 Ignoring SIGUSR1 received during exit notification
Wed Dec 14 20:36:36 2016 Ignoring SIGUSR1 received during exit notification
Wed Dec 14 20:36:36 2016 Ignoring SIGUSR1 received during exit notification
Wed Dec 14 20:36:36 2016 Ignoring SIGUSR1 received during exit notification
Wed Dec 14 20:36:36 2016 Ignoring SIGUSR1 received during exit notification
Wed Dec 14 20:36:36 2016 Ignoring SIGUSR1 received during exit notification
Wed Dec 14 20:36:36 2016 Ignoring SIGUSR1 received during exit notification
Wed Dec 14 20:36:36 2016 Ignoring SIGUSR1 received during exit notification
Wed Dec 14 20:36:36 2016 Ignoring SIGUSR1 received during exit notification
bucharest-at01 tmp # tail -n1 openvpn_20161214203536.log
Wed Dec 14 20:36:45 2016 Ignoring SIGUSR1 received during exit notification

Change History (2)

comment:1 Changed 4 years ago by Selva Nair

Fixed in 2.3.14 (see also Trac: #777)

comment:2 Changed 4 years ago by Selva Nair

Resolution: fixed
Severity: Not set (if unsure, select this one)Patch Queue: Merged
Status: newclosed
Note: See TracTickets for help on using tickets.